<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/HTTP/HttpResponseCode.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a></li><li class="navelem"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a></li><li class="navelem"><a class="el" href="dir_6824e81d298af54a27a92358c374ca3f.html">HTTP</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">HttpResponseCode.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &quot;<a class="el" href="_logger_utils_8h_source.html">AVSCommon/Utils/Logger/LoggerUtils.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for HttpResponseCode.h:</div>
<div class="dyncontent">
<div class="center"><img src="_http_response_code_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_h_t_t_p_2_http_response_code_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_h_t_t_p_2_http_response_code_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_h_t_t_p_2_http_response_code_8h">
<area shape="rect" id="node4" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="292,119,468,157"/>
<area shape="rect" id="node6" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="504,205,680,244"/>
<area shape="rect" id="node11" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="341,292,555,331"/>
<area shape="rect" id="node15" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="734,379,910,417"/>
<area shape="rect" id="node16" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="952,292,1128,331"/>
<area shape="rect" id="node21" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="680,292,877,331"/>
<area shape="rect" id="node22" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1254,465,1430,504"/>
<area shape="rect" id="node17" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1128,379,1304,417"/>
<area shape="rect" id="node19" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1054,465,1230,504"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_http_response_code_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_h_t_t_p_2_http_response_code_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_h_t_t_p_2_http_response_code_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_h_t_t_p_2_http_response_code_8hdep">
<area shape="rect" id="node2" href="_downchannel_handler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/DownchannelHandler.cpp" alt="" coords="795,125,972,177"/>
<area shape="rect" id="node3" href="_h_t_t_p2_transport_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/HTTP2Transport.cpp" alt="" coords="996,125,1154,177"/>
<area shape="rect" id="node4" href="_message_request_handler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/MessageRequestHandler.cpp" alt="" coords="1178,125,1378,177"/>
<area shape="rect" id="node5" href="_ping_handler_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/src/Transport\l/PingHandler.cpp" alt="" coords="1402,125,1559,177"/>
<area shape="rect" id="node6" href="_h_t_t_p2_transport_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/test/Transport\l/HTTP2TransportTest.cpp" alt="" coords="259,245,433,297"/>
<area shape="rect" id="node7" href="_mock_h_t_t_p2_connection_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/test/Transport\l/MockHTTP2Connection.h" alt="" coords="1634,125,1812,177"/>
<area shape="rect" id="node9" href="_h_t_t_p_content_fetcher_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterface.h" alt="" coords="1836,119,2077,184"/>
<area shape="rect" id="node33" href="_lib_curl_http_content_fetcher_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/LibcurlUtils/LibCurlHttp\lContentFetcher.cpp" alt="" coords="2725,365,2908,431"/>
<area shape="rect" id="node41" href="_h_t_t_p2_mime_response_decoder_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/HTTP2/HTTP2MimeResponse\lDecoder.cpp" alt="" coords="2151,119,2378,184"/>
<area shape="rect" id="node42" href="_curl_easy_handle_wrapper_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/LibcurlUtils/CurlEasyHandle\lWrapper.cpp" alt="" coords="2403,119,2614,184"/>
<area shape="rect" id="node43" href="_http_post_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/LibcurlUtils/HttpPost.cpp" alt="" coords="2638,125,2830,177"/>
<area shape="rect" id="node44" href="_http_put_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/LibcurlUtils/HttpPut.cpp" alt="" coords="2853,125,3038,177"/>
<area shape="rect" id="node45" href="_libcurl_h_t_t_p2_request_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/LibcurlUtils/LibcurlHTTP2\lRequest.cpp" alt="" coords="3062,119,3259,184"/>
<area shape="rect" id="node46" href="_m_i_m_e_parser_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/test/MIMEParserTest.cpp" alt="" coords="3283,125,3457,177"/>
<area shape="rect" id="node47" href="_capabilities_delegate_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilitiesDelegate\l/src/CapabilitiesDelegate.cpp" alt="" coords="3481,125,3675,177"/>
<area shape="rect" id="node48" href="_capabilities_delegate_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilitiesDelegate\l/test/CapabilitiesDelegateTest.cpp" alt="" coords="3699,125,3921,177"/>
<area shape="rect" id="node49" href="_testable_http_put_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilitiesDelegate\l/test/Common/TestableHttpPut.cpp" alt="" coords="3945,125,4173,177"/>
<area shape="rect" id="node50" href="_c_b_l_auth_delegate_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/Authorization\l/CBLAuthDelegate/src/CBLAuthDelegate.cpp" alt="" coords="4197,125,4486,177"/>
<area shape="rect" id="node8" href="_mock_h_t_t_p2_connection_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ACL/test/Transport\l/Common/MockHTTP2Connection.cpp" alt="" coords="457,245,707,297"/>
<area shape="rect" id="node10" href="_h_t_t_p_content_fetcher_interface_factory_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterfaceFactoryInterface.h" alt="" coords="1369,239,1680,304"/>
<area shape="rect" id="node11" href="_h_t_t_p_content_fetcher_factory_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/LibcurlUtils/HTTPContentFetcher\lFactory.h" alt="" coords="2430,359,2651,437"/>
<area shape="rect" id="node22" href="_f_fmpeg_url_input_controller_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/FFmpegUrlInputController.cpp" alt="" coords="501,492,764,544"/>
<area shape="rect" id="node32" href="_lib_curl_http_content_fetcher_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/LibcurlUtils/LibCurlHttpContent\lFetcher.h" alt="" coords="2091,232,2299,311"/>
<area shape="rect" id="node34" href="_playlist_entry_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/PlaylistParser/PlaylistEntry.h" alt="" coords="1152,239,1345,304"/>
<area shape="rect" id="node37" href="_playlist_utils_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/src\l/PlaylistUtils.cpp" alt="" coords="1856,492,2009,544"/>
<area shape="rect" id="node38" href="_playlist_utils_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/include\l/PlaylistParser/PlaylistUtils.h" alt="" coords="1726,372,1915,424"/>
<area shape="rect" id="node40" href="_mock_content_fetcher_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/test\l/PlaylistParser/MockContentFetcher.h" alt="" coords="265,372,509,424"/>
<area shape="rect" id="node19" href="_internet_connection_monitor_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/Network/InternetConnectionMonitor.h" alt="" coords="2121,365,2366,431"/>
<area shape="rect" id="node20" href="_android_s_l_e_s_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/include/AndroidSLESMediaPlayer\l/AndroidSLESMediaPlayer.h" alt="" coords="2096,599,2359,664"/>
<area shape="rect" id="node21" href="_f_fmpeg_url_input_controller_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/include/AndroidSLESMediaPlayer\l/FFmpegUrlInputController.h" alt="" coords="840,365,1103,431"/>
<area shape="rect" id="node24" href="_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/include/MediaPlayer\l/MediaPlayer.h" alt="" coords="950,599,1179,664"/>
<area shape="rect" id="node25" href="_iterative_playlist_parser_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/include\l/PlaylistParser/IterativePlaylist\lParser.h" alt="" coords="615,365,815,431"/>
<area shape="rect" id="node28" href="_playlist_parser_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/include\l/PlaylistParser/PlaylistParser.h" alt="" coords="1229,372,1431,424"/>
<area shape="rect" id="node29" href="_url_content_to_attachment_converter_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/include\l/PlaylistParser/UrlContentToAttachment\lConverter.h" alt="" coords="1019,485,1275,551"/>
<area shape="rect" id="node12" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="3080,485,3307,551"/>
<area shape="rect" id="node13" href="_h_t_t_p_content_fetcher_factory_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/src/LibcurlUtils/HTTPContent\lFetcherFactory.cpp" alt="" coords="3527,485,3724,551"/>
<area shape="rect" id="node14" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="3332,492,3504,544"/>
<area shape="rect" id="node15" href="_audio_player_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioPlayerIntegrationTest.cpp" alt="" coords="2620,492,2829,544"/>
<area shape="rect" id="node16" href="_speech_synthesizer_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/SpeechSynthesizerIntegration\lTest.cpp" alt="" coords="2854,485,3057,551"/>
<area shape="rect" id="node17" href="_android_s_l_e_s_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/test/AndroidSLESMediaPlayerTest.cpp" alt="" coords="2259,712,2550,764"/>
<area shape="rect" id="node18" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="2264,499,2544,537"/>
<area shape="rect" id="node23" href="_f_fmpeg_url_input_controller_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/test/FFmpegUrlInputController\lTest.cpp" alt="" coords="233,485,477,551"/>
<area shape="rect" id="node26" href="_iterative_playlist_parser_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/src\l/IterativePlaylistParser.cpp" alt="" coords="1299,492,1478,544"/>
<area shape="rect" id="node27" href="_iterative_playlist_parser_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/test\l/IterativePlaylistParserTest.cpp" alt="" coords="5,492,209,544"/>
<area shape="rect" id="node30" href="_playlist_parser_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/src\l/PlaylistParser.cpp" alt="" coords="1501,492,1654,544"/>
<area shape="rect" id="node31" href="_playlist_parser_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/test\l/PlaylistParserTest.cpp" alt="" coords="787,492,944,544"/>
<area shape="rect" id="node35" href="_playlist_parser_observer_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/Utils\l/include/AVSCommon/Utils\l/PlaylistParser/PlaylistParserObserver\lInterface.h" alt="" coords="1455,359,1701,437"/>
<area shape="rect" id="node36" href="_m3_u_parser_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/src\l/M3UParser.cpp" alt="" coords="1679,492,1832,544"/>
<area shape="rect" id="node39" href="_playlist_utils_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/PlaylistParser/test\l/PlaylistUtilsTest.cpp" alt="" coords="2033,492,2190,544"/>
</map>
</div>
</div>
<p><a href="_http_response_code_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html">alexaClientSDK::avsCommon::utils::http</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ac0bd21aabffbf134eb81295b65839893"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893">alexaClientSDK::avsCommon::utils::http::HTTPResponseCode</a> { <br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893a463a0b728cc6493c40e35f5b76140586">alexaClientSDK::avsCommon::utils::http::HTTP_RESPONSE_CODE_UNDEFINED</a> = 0, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893afaa07e0eaf611d0dd7840dd8f0916ea9">alexaClientSDK::avsCommon::utils::http::SUCCESS_OK</a> = 200, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893a0643daa75744948ec070f2c562e19646">alexaClientSDK::avsCommon::utils::http::SUCCESS_NO_CONTENT</a> = 204, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893a9878ae465b32ca6266210d3590da9a5d">alexaClientSDK::avsCommon::utils::http::REDIRECTION_MULTIPLE_CHOICES</a> = 300, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893ae7e79700f6616a6cddf6cc8e3307cc79">alexaClientSDK::avsCommon::utils::http::REDIRECTION_MOVED_PERMANENTLY</a> = 301, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893a570011c6ae6fa116348f4be73b1d37c9">alexaClientSDK::avsCommon::utils::http::REDIRECTION_FOUND</a> = 302, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893a7808993bd0015e0c190e841dc1178117">alexaClientSDK::avsCommon::utils::http::REDIRECTION_SEE_ANOTHER</a> = 303, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893aa7daa9e9f239756c2379653ad032133f">alexaClientSDK::avsCommon::utils::http::REDIRECTION_TEMPORARY_REDIRECT</a> = 307, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893a1b05528c7f18fb59ba0e6d215ec61f07">alexaClientSDK::avsCommon::utils::http::REDIRECTION_PERMANENT_REDIRECT</a> = 308, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893a954307fc3c2ca926752f3a67e789809c">alexaClientSDK::avsCommon::utils::http::CLIENT_ERROR_BAD_REQUEST</a> = 400, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893acf1db56f665e0d97ec9b357e1ea3492d">alexaClientSDK::avsCommon::utils::http::CLIENT_ERROR_FORBIDDEN</a> = 403, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893a3bc5ff2b23bc2011f811f2b6cc1ee4ef">alexaClientSDK::avsCommon::utils::http::SERVER_ERROR_INTERNAL</a> = 500, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893a56bda4614e6390b35a7145348b030b1a">alexaClientSDK::avsCommon::utils::http::SUCCESS_START_CODE</a> = SUCCESS_OK, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893a075fb3360ccb456b2421749664830f52">alexaClientSDK::avsCommon::utils::http::SUCCESS_END_CODE</a> = 299, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893aa07904509574c05019ca43d47ca92ebf">alexaClientSDK::avsCommon::utils::http::REDIRECTION_START_CODE</a> = REDIRECTION_MULTIPLE_CHOICES, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893a5e76ae3d338ec98b33b450f905836d4e">alexaClientSDK::avsCommon::utils::http::REDIRECTION_END_CODE</a> = REDIRECTION_PERMANENT_REDIRECT
<br />
 }</td></tr>
<tr class="separator:ac0bd21aabffbf134eb81295b65839893"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afd57416e20ad3bd8f0c15434b77e7afb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#afd57416e20ad3bd8f0c15434b77e7afb">alexaClientSDK::avsCommon::utils::http::isStatusCodeSuccess</a> (<a class="el" href="_http_response_codes_8h.html#a7c7e2e35af1fc43c26bd735151de06ea">HTTPResponseCode</a> code)</td></tr>
<tr class="separator:afd57416e20ad3bd8f0c15434b77e7afb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a384217d301ef682825e06e96a88eb4b4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#a384217d301ef682825e06e96a88eb4b4">alexaClientSDK::avsCommon::utils::http::isRedirect</a> (<a class="el" href="_http_response_codes_8h.html#a7c7e2e35af1fc43c26bd735151de06ea">HTTPResponseCode</a> code)</td></tr>
<tr class="separator:a384217d301ef682825e06e96a88eb4b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c3f5f927e902cce37b722aeed1c4394"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_http_response_codes_8h.html#a7c7e2e35af1fc43c26bd735151de06ea">HTTPResponseCode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#a0c3f5f927e902cce37b722aeed1c4394">alexaClientSDK::avsCommon::utils::http::intToHTTPResponseCode</a> (int code)</td></tr>
<tr class="separator:a0c3f5f927e902cce37b722aeed1c4394"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26dbe5cb0a9368e1f93b0e68e80e6d77"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#a26dbe5cb0a9368e1f93b0e68e80e6d77">alexaClientSDK::avsCommon::utils::http::responseCodeToInt</a> (<a class="el" href="_http_response_codes_8h.html#a7c7e2e35af1fc43c26bd735151de06ea">HTTPResponseCode</a> responseCode)</td></tr>
<tr class="separator:a26dbe5cb0a9368e1f93b0e68e80e6d77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06b989bc43c7e9b9e3311282fde25fec"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#a06b989bc43c7e9b9e3311282fde25fec">alexaClientSDK::avsCommon::utils::http::responseCodeToString</a> (<a class="el" href="_http_response_codes_8h.html#a7c7e2e35af1fc43c26bd735151de06ea">HTTPResponseCode</a> responseCode)</td></tr>
<tr class="separator:a06b989bc43c7e9b9e3311282fde25fec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa49cf0919a290d9a2932bea3de642b7"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#afa49cf0919a290d9a2932bea3de642b7">alexaClientSDK::avsCommon::utils::http::operator&lt;&lt;</a> (std::ostream &amp;os, const <a class="el" href="_http_response_codes_8h.html#a7c7e2e35af1fc43c26bd735151de06ea">HTTPResponseCode</a> &amp;code)</td></tr>
<tr class="separator:afa49cf0919a290d9a2932bea3de642b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
